Name "IGV"

OutFile "IGV_Win_user-installer.exe"
InstallDir "$PROGRAMFILES64\IGV_user"

ShowInstDetails nevershow
ShowUninstDetails nevershow
SetCompressor lzma
AutoCloseWindow true
Icon "IGV_user\IGV_64.ico"
LicenseData license_win.txt
LicenseForceSelection radiobuttons

Page license
Page directory
Page instfiles
UninstPage instfiles

section
     SetShellVarContext all
     setOutPath "$INSTDIR"
     File /a /r IGV_user\*.*
     createShortCut "$DESKTOP\IGV_user.lnk" "$INSTDIR\igv-launcher.bat" "" "$INSTDIR\IGV_64.ico"
     createDirectory "$SMPROGRAMS\IGV_user"
     createShortCut "$SMPROGRAMS\IGV_user\IGV.lnk" "$INSTDIR\igv-launcher.bat" "" "$INSTDIR\IGV_64.ico"
     #createShortCut "$SMPROGRAMS\IGV_user\IGVTools.lnk" "$INSTDIR\igvtools_gui.bat"
     
     WriteUninstaller $INSTDIR\uninstaller.exe
     createShortCut "$SMPROGRAMS\IGV_user\uninstaller.lnk" "$INSTDIR\uninstaller.exe"
sectionEnd

Function un.onInit
    MessageBox MB_YESNO "This will uninstall IGV_user.  Continue?" /SD IDYES IDYES NoAbort
      Abort ; causes uninstaller to quit.
    NoAbort:
FunctionEnd

#RequestExecutionLevel admin

section "Uninstall"
    SetShellVarContext all
	setAutoClose true
	Delete "$SMPROGRAMS\IGV_user\IGV.lnk"
	Delete "$SMPROGRAMS\IGV_user\uninstaller.lnk"
	RMDir /r "$SMPROGRAMS\IGV_user"
	Delete "$Desktop\IGV_user.lnk"
	
	# NSIS bset-practice recommends not using RMDir /r $INSTDIR... 
	RMDir /r /REBOOTOK $INSTDIR\*.*
	RMDir /REBOOTOK $INSTDIR
sectionEnd